    # File lib/action_controller/caching/pages.rb, line 131
          def cache_page(content = nil, options = nil)
            return unless perform_caching && caching_allowed

            path = case options
              when Hash
                url_for(options.merge(:only_path => true, :skip_relative_url_root => true, :format => params[:format]))
              when String
                options
              else
                request.path
            end

            self.class.cache_page(content || response.body, path)
          end